Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.xjep.function
Class Min

    java.lang.Object
      org.nfunk.jep.function.PostfixMathCommand
          org.lsmp.djep.xjep.function.SumType
              org.lsmp.djep.xjep.function.Min

All Implemented Interfaces:
  CallbackEvaluationI, PostfixMathCommandI

    public class Min

extends SumType

A min function Min(x^2,x,1,10) finds the min of x^2 with x running from 1 to 10.

Author:
  Rich Morris Created on 10-Sept-2004

Field Summary

Fields inherited from class org.lsmp.djep.xjep.function.SumType
`name`

Fields inherited from class org.nfunk.jep.function.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`Min()`

Method Summary
`java.lang.Object` | `evaluate(java.lang.Object[] elements)` Evaluates the function given the set of y values.

Methods inherited from class org.lsmp.djep.xjep.function.SumType
`checkNumberOfParameters, evaluate, evaluate, run`

Methods inherited from class org.nfunk.jep.function.PostfixMathCommand
`checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Min

    public Min()

Method Detail

### evaluate

    public java.lang.Object evaluate(java.lang.Object[] elements)
                              throws ParseException

  Description copied from class: `SumType`
  Evaluates the function given the set of y values. For example for Sum(x^2,x,1,5) the function will be passed the array [1,4,9,16,25].

  Specified by:
    `evaluate` in class `SumType`
  Parameters:
    `elements` - the y values
  Returns:
    the result of the function
  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems